jhtsPlayerNamesTable = {} -- if a name appears here healing hides
--creates a global table to save all the players names the addon sees

local function printd(...) --debug print function, call this or comment print out
    --print(...)
end


local function getCurrentFullname() -- returns players full name
    return UnitName("player") .. "-" .. GetRealmName()
end


local function getCurrentPlayerTable() -- Adds player to table if not seen before
    local jhtsFullname = getCurrentFullname()
    if not jhtsPlayerNamesTable[jhtsFullname] then --if no entry matching player's full name exists THEN
      jhtsPlayerNamesTable[jhtsFullname] = {}
    end
    return jhtsPlayerNamesTable[jhtsFullname]
end

    
local function changeHealAlerts(self, event, ...)
    if getCurrentPlayerTable()[GetSpecialization()] then
        printd("hiding")
        SetCVar("floatingCombatTextCombatHealing", 0)
    else
        printd("showing")
        SetCVar("floatingCombatTextCombatHealing", 1)
    end
end

local function printGreeting()
	print ("jhts loaded\n/jhts for options\n/jhs to show \n/jhh to hide")
end

local function printUsage()
	print ("/jhts-hide /jhtsh or /jhh to hide healing for current char/spec\n/jhts-show /jhtss or /jhs to show healing for current char/spec")
end

local introText = CreateFrame("Frame")
introText:SetScript ("OnEvent", printGreeting)
introText:RegisterEvent("PLAYER_LOGIN")


local frame = CreateFrame("Frame","CVarSet")
frame:SetScript("OnEvent", changeHealAlerts)
frame:RegisterEvent("ADDON_LOADED")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:RegisterEvent("PLAYER_SPECIALIZATION_CHANGED")


local function hideHandler(msg, editBox)
    getCurrentPlayerTable()[GetSpecialization()] = true
    changeHealAlerts()
	print("Now hiding healing for ", getCurrentFullname(),"specialization ", GetSpecialization())
end

SLASH_jhts_HIDE1 = '/jhts-hide'
SLASH_jhts_HIDE2 = '/jhtsh'
SLASH_jhts_HIDE3 = '/jhh'
SlashCmdList["jhts_HIDE"] = hideHandler;


local function showHandler()
    printd("show", getCurrentFullname(), GetSpecialization())
    getCurrentPlayerTable()[GetSpecialization()] = false
    changeHealAlerts()
	print("Now showing healing for ", getCurrentFullname(),"specialization ", GetSpecialization())
    -- editBox:Hide()
end

SLASH_jhts_SHOW1 = '/jhts-show'
SLASH_jhts_SHOW2 = '/jhtss'
SLASH_jhts_SHOW3 = '/jhs'
SlashCmdList["jhts_SHOW"] = showHandler;

SLASH_jhts_PRINT1 = '/jhts'
SlashCmdList["jhts_PRINT"] = printUsage;
